## publicfile-installer 0.10

=== Makefile ===
# this file maintained using git at
# ssh+git://git.debian.org/git/collab-maint/publicfile-installer.git

#
# Copyright (C) 2006, 2007, 2008 Joost van Baal
# Copyright (C) 2015 Joost van Baal-Ilić
#
# This file is free software; you can redistribute it and/or modify it under
# the terms of the GNU GPL as published by the FSF; version 3 of the License,
# or any later version. You should have received a copy of the GNU GPL along
# with this file (see COPYING); if not, check
# http://www.gnu.org/copyleft/gpl.html.
#

VERSION = 0.10

srcdir = .

INSTALL = /usr/bin/install -c
man1dir = $(mandir)/man1
INSTALL_DATA = ${INSTALL} -m 644

DISTFILES = README $(srcdir)/Makefile COPYING ChangeLog TODO $(SCRIPTS) $(etc_DATA) $(man_MANS)

bindir = ${exec_prefix}/bin
mandir = ${prefix}/man
exec_prefix = ${prefix}
mkdir_p = mkdir -p --
prefix = /usr/local

distdir = $(PACKAGE)-$(VERSION)

am__tar = tar chof - "$$tardir"

PACKAGE = publicfile-installer

SCRIPTS= \
    get-publicfile \
    build-publicfile \
    install-publicfile

etc_DATA = \
    publicfile-installer.conf

man_MANS = \
    publicfile-installer.1 \
    get-publicfile.1 \
    build-publicfile.1 \
    install-publicfile.1

all:

install: $(SCRIPTS) $(man_MANS)
	test -z "$(DESTDIR)$(bindir)" || $(mkdir_p) "$(DESTDIR)$(bindir)"
	test -z "$(DESTDIR)$(man1dir)" || $(mkdir_p) "$(DESTDIR)$(man1dir)"
	list='$(SCRIPTS)'; for p in $$list; do \
          if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
          if test -f $$d$$p; then \
            $(INSTALL) "$$d$$p" "$(DESTDIR)$(bindir)/$$p"; \
          else :; fi; \
        done
	list='$(man_MANS)'; for p in $$list; do \
          if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
          if test -f $$d$$p; then \
            $(INSTALL_DATA) "$$d$$p" "$(DESTDIR)$(man1dir)/$$p"; \
          else :; fi; \
        done


uninstall:
	list='$(SCRIPTS)'; for p in $$list; do \
          rm -f "$(DESTDIR)$(bindir)/$$p"; \
        done

clean:

COPYING:
	ln -s /usr/share/common-licenses/GPL $@

distdir: $(DISTFILES)
	rm -rf $(distdir)
	mkdir $(distdir)
	list='$(DISTFILES)'; for file in $$list; do \
          if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
          cp -pR $$d/$$file $(distdir)$$dir; \
        done

dist: distdir
	tardir=$(distdir) && $(am__tar) | gzip -c >$(distdir).tar.gz
	ls -l $(distdir).tar.gz

publish:
	scp $(distdir).tar.gz beskar.mdcc.cx:www/mdcc.cx/pub/publicfile

.PHONY: all dist distdir install uninstall clean

=== debian/changelog ===
publicfile-installer (0.10-1) unstable; urgency=low

  * New upstream, targetting publicfile (0.52-7).
  * Upload to Debian archive.  Closes: #122614.
  * debian/copyright: add one missing copyright statement, add "Source",
    update license on most files from GPL-2 to GPL-3.
  * debian/control: enhance description.

 -- Joost van Baal-Ilić <joostvb@debian.org>  Wed, 04 Feb 2015 22:46:02 +0100

publicfile-installer (0.9-1) unstable; urgency=low

  * Initial release.
  * debian/control: update standards from 3.7.2 to 3.9.6 (no changes needed).
  * README, debian/*: s/aangifte-ib/publicfile/.
  * debian/rules: new style dh; add override_dh_auto_install.
  * debian/source/format: added; 3.0.
  * debian/{compat,control}: compat: added; 9; control: dh build-depends
    bumped from 5 to 9.
  * debian/install: add *-publicfile scripts.
  * debian/templates: add leading _ to Description in order to aid
    translators; thanks lintian.
  * debian/copyright: link to versioned GPL, now using "Machine-readable
    debian/copyright file" version 1.0.
  * debian/control: add fields Vcs-Git, Vcs-Browser.
  * debian/po/POTFILES.in, debian/{control,rules}: file POTFILES.in added,
    po-debconf build dependency added, call debconf-updatepo in clean target:
    use po-debconf for i18n.

 -- Joost van Baal-Ilić <joostvb@debian.org>  Wed, 04 Feb 2015 20:55:16 +0100

aangifte-ib-installer (0.8-1) unstable; urgency=low

  * New upstream.

 -- Joost van Baal <joostvb-aangifte-ib@mdcc.cx>  Thu, 14 Feb 2008 15:37:27 +0100

aangifte-ib-installer (0.7-1) unstable; urgency=low

  * New upstream.
  * rules: do not ignore errors from "make clean" (thanks lintian).

 -- Joost van Baal <joostvb-aangifte-ib@mdcc.cx>  Wed, 11 Jul 2007 16:12:09 +0200

aangifte-ib-installer (0.6-1) unstable; urgency=low

  * New upstream.
  * Depend upon fakeroot, since build-aangifte-ib calls this explicitly.
    Thanks Bram Senders.
  * control: suggest to keep this package installed.
  * postrm: remove /usr/src/aangifte-ib-installer/ in case of purge.  Thanks
    again Bram Senders.

 -- Joost van Baal <joostvb-aangifte-ib@mdcc.cx>  Tue, 13 Mar 2007 09:50:04 +0100

aangifte-ib-installer (0.5-1) unstable; urgency=low

  * New upstream: bugfix: md5sum of .diff.gz fixed.

 -- Joost van Baal <joostvb-aangifte-ib@mdcc.cx>  Mon, 05 Mar 2007 06:51:36 +0100

aangifte-ib-installer (0.4-1) unstable; urgency=low

  * New upstream: don't use test version, but real version from
    belastingdienst.nl.

 -- Joost van Baal <joostvb-aangifte-ib@mdcc.cx>  Sun, 04 Mar 2007 21:07:58 +0100

aangifte-ib-installer (0.3-1) unstable; urgency=low

  * New upstream: more robust, manpages added.

 -- Joost van Baal <joostvb-aangifte-ib@mdcc.cx>  Wed, 22 Nov 2006 11:10:46 +0100

aangifte-ib-installer (0.2-1) unstable; urgency=low

  * New upstream.
  * Don't try to run dpkg from within dpkg, but postpone installation of
    generated package.

 -- Joost van Baal <joostvb-aangifte-ib@mdcc.cx>  Tue, 21 Nov 2006 15:20:41 +0100

aangifte-ib-installer (0.1-1) unstable; urgency=low

  * Initial release.

 -- Joost van Baal <joostvb-aangifte-ib@mdcc.cx>  Tue, 21 Nov 2006 11:34:24 +0100

=== debian/control ===
Source: publicfile-installer
Section: contrib/net
Priority: extra
Maintainer: Joost van Baal-Ilić <joostvb@debian.org>
Build-Depends: debhelper (>= 9), po-debconf
Standards-Version: 3.9.6
Vcs-Git: git://anonscm.debian.org/collab-maint/publicfile-installer.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/publicfile-installer.git

Package: publicfile-installer
Architecture: all
Depends: wget, debhelper, fakeroot, ${misc:Depends}
Description: installer package for the publicfile http and ftp server
 Publicfile is a http and ftp server, written by Daniel J. Bernstein in
 1999; it didn't change a lot after that.  Modern features are not
 supported.  However, if you're looking for a small, simple and secure
 webserver, which integrates with the runit and daemontools UNIX service
 managers, publicfile will suit your needs.
 .
 This installer package downloads the publicfile .tar.gz file from
 the upstream website, combines it with Debian packaging information
 from the package maintainer's website; then builds a publicfile Debian
 package, and installs that.  When installing this installer package,
 one is given the option to postpone downloading and installing
 publicfile.

## publicfile-installer 0.11

=== Makefile ===
--- 
+++ 
@@ -12,7 +12,7 @@
 # http://www.gnu.org/copyleft/gpl.html.
 #
 
-VERSION = 0.10
+VERSION = 0.11
 
 srcdir = .
 
@@ -36,8 +36,7 @@
 
 SCRIPTS= \
     get-publicfile \
-    build-publicfile \
-    install-publicfile
+    build-publicfile
 
 etc_DATA = \
     publicfile-installer.conf
@@ -45,8 +44,7 @@
 man_MANS = \
     publicfile-installer.1 \
     get-publicfile.1 \
-    build-publicfile.1 \
-    install-publicfile.1
+    build-publicfile.1
 
 all:
 
@@ -75,7 +73,7 @@
 clean:
 
 COPYING:
-	ln -s /usr/share/common-licenses/GPL $@
+	cp --preserve=all --dereference /usr/share/common-licenses/GPL $@
 
 distdir: $(DISTFILES)
 	rm -rf $(distdir)

=== debian/changelog ===
publicfile-installer (0.11-1) unstable; urgency=low

  * New upstream.  No longer ships install-publicfile, no longer uses /tmp.
    This fixes a serious security issue: a local privilage escalation
    security hole due to insecure use of /tmp. "This [...] package downloads
    the source code for DJB's publicfile, builds it, and then puts the
    output in a predictable location in a world-writable directory, using an
    existing directory of that name if it already exists, then (either
    automatically or by telling the admin to run another script) installs
    whatever happens to be in that directory.  This can be exploited by
    malicious local users to get arbitrary installscripts executed as root."
    Thanks Justin B Rye.  Closes: #795062.
    + debian/templates: adjusted.
    + debian/control: Depends: add sudo.
  * debian/changelog: fix spelling error.

 -- Joost van Baal-Ilić <joostvb@debian.org>  Sun, 06 Sep 2015 07:23:33 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 
 Package: publicfile-installer
 Architecture: all
-Depends: wget, debhelper, fakeroot, ${misc:Depends}
+Depends: wget, debhelper, fakeroot, sudo, ${misc:Depends}
 Description: installer package for the publicfile http and ftp server
  Publicfile is a http and ftp server, written by Daniel J. Bernstein in
  1999; it didn't change a lot after that.  Modern features are not

## publicfile-installer 0.12

=== Makefile ===
--- 
+++ 
@@ -12,7 +12,7 @@
 # http://www.gnu.org/copyleft/gpl.html.
 #
 
-VERSION = 0.11
+VERSION = 0.12
 
 srcdir = .

=== debian/changelog ===
publicfile-installer (0.12-1) unstable; urgency=medium

  * New upstream, targeting publicfile (0.52-8).  The publicfile 0.52-8
    Debian packaging comes with improved documentation, an improved
    get-publicfile-docs(1) and some bug fixes.  See
    /u/s/d/publicfile/changelog.Debian.gz for all details.
  * debian/po: Add debconf translations by various contributors.  Thank you,
    tranlators!
    - cs.po: Czech, by Michal Simunek.  Closes: #799055
    - de.po: German, by Chris Leick.  Closes: #799067
    - nl.po: Dutch, by Frans Spiesschaert, with minor modifications by
      Joost van Baal-Ilić.  Closes: #799462
    - pt.po: Portuguese, by Américo Monteiro.  Closes: #799566
    - ru.po: Russian, by Yuri Kozlov. Closes: #799699
    - it.po: Italian, by Beatrice Torracca and the Italian localization team.
      Closes: #799750
    - da.po: Danish, by Joe Hansen.  Closes: #799877
    - fr.po: French, by jean-pierre giraud and the debian-l10n-french
      mailing list contributors.  Closes: #799882
  * debian/templates, debian/control: Fix language, thanks Justin B Rye and
    debian-l10n-english@l.d.o.

 -- Joost van Baal-Ilić <joostvb@debian.org>  Sun, 18 Dec 2016 21:25:27 +0100

=== debian/control ===
Source: publicfile-installer
Section: contrib/net
Priority: extra
Maintainer: Joost van Baal-Ilić <joostvb@debian.org>
Build-Depends: debhelper (>= 9), po-debconf
Standards-Version: 3.9.6
Vcs-Git: git://anonscm.debian.org/collab-maint/publicfile-installer.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/publicfile-installer.git

Package: publicfile-installer
Architecture: all
Depends: wget, debhelper, fakeroot, sudo, ${misc:Depends}
Description: installer package for the publicfile HTTP and FTP server
 Publicfile is an HTTP and FTP server, written by Daniel J. Bernstein in
 1999; it didn't change a lot after that. Modern features are not
 supported. However, if you're looking for a small, simple and secure
 webserver, which integrates with the runit and daemontools UNIX service
 managers, publicfile will suit your needs.
 .
 This installer package downloads the publicfile .tar.gz file from
 the upstream website, combines it with Debian packaging information
 from the package maintainer's website; then builds a publicfile Debian
 package, and installs that. When installing this installer package,
 one is given the option to postpone downloading and installing
 publicfile.

## publicfile-installer 0.14

=== Makefile ===
--- 
+++ 
@@ -12,7 +12,7 @@
 # http://www.gnu.org/copyleft/gpl.html.
 #
 
-VERSION = 0.12
+VERSION = 0.13
 
 srcdir = .

=== debian/changelog ===
publicfile-installer (0.14) unstable; urgency=medium

  * Targeting publicfile 0.52-11.  The publicfile 0.52-11 Debian packaging
    comes with various improvements in ad1810-autoindex.  See
    /u/s/d/publicfile/changelog.Debian.gz for all details.
    - publicfile-installer.conf: update publicfile Debian package checksum and
      version.
  * debian/po: Update debconf translations by various contributors.  Thank you,
    tranlators!
    - de.po: German, by Chris Leick.  Closes: #885615
    - ru.po: Russian, by Lev Lamberov.  Closes: #885991

 -- Joost van Baal-Ilić <joostvb@debian.org>  Mon, 12 Feb 2018 18:10:17 +0100

publicfile-installer (0.13) unstable; urgency=medium

  * Targeting publicfile 0.52-10 (missed 0.52-9).  The publicfile 0.52-10
    and -9 Debian packaging comes with support for adjusting the list of
    supported MIME types at run time, and ships with the script
    update-publicfile-contenttype(1) making this easier.  Again,
    documentation has been improved.  See
    /u/s/d/publicfile/changelog.Debian.gz for all details.
  * debian/source/format: converted to Debian native package.
  * debian/po: Update debconf translations by various contributors.  Thank you,
    tranlators!
    - sv.po: Swedish, by Jonatan Nyberg.  Closes: #823657
    - de.po: German, by Chris Leick.  Closes: #843767
    - pt.po: Portuguese, by Américo Monteiro.  Closes: #849133
    - da.po: Danish, by Joe Dalton.  Closes: #849965
    - nl.po: Dutch, by Frans Spiesschaert and the debian-l10n-dutch mailing list
      contributors.  Closes: #850736
    - it.po: Italian, by Beatrice Torracca and the Italian localization team.
      Closes: #872746
  * debian/control: changed Priority from extra to optional (thanks lintian).
  * publicfile-installer.1: get-publicfile needs a public PGP key; document
    this.
  * get-publicfile: remove DIFFFILE and DSCFILE in case these turn out to be
    corrupt: make sure they won't get trusted and reused in a second run of the
    script.
  * build-publicfile: cosmetics, cleanup

 -- Joost van Baal-Ilić <joostvb@debian.org>  Sat, 04 Nov 2017 06:01:08 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: publicfile-installer
 Section: contrib/net
-Priority: extra
+Priority: optional
 Maintainer: Joost van Baal-Ilić <joostvb@debian.org>
 Build-Depends: debhelper (>= 9), po-debconf
 Standards-Version: 3.9.6

## publicfile-installer 0.15

=== debian/changelog ===
publicfile-installer (0.15) unstable; urgency=medium

  [ Joost van Baal-Ilić ]
  * debian/control: update vcs-headers: moved from alioth to salsa.
  * debian/po: Update debconf translations by various contributors.  Thank you,
    tranlators!
    - sv.po: Swedish, updated by Martin Bagge / brother. Closes: #918019
    - fr.po: French, updated by Jean-Pierre Giraud. Closes: #930705
  * debian/lintian-overrides: added: binary-package-depends-on-toolchain-package:
    we run dpkg-buildpackage in build-publicfile
  * debian/control: added: R³: no

  [ lintian-brush ]
  * Bump debhelper from deprecated 9 to 12.
  * Set debhelper-compat version in Build-Depends.

  [ Ondřej Nový <onovy@debian.org>  Mon, 01 Oct 2018 09:48:48 +0200 ]
  * d/copyright: Use https protocol in Format field

 -- Joost van Baal-Ilić <joostvb@debian.org>  Thu, 14 Jan 2021 17:15:00 +0100

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,11 @@
 Section: contrib/net
 Priority: optional
 Maintainer: Joost van Baal-Ilić <joostvb@debian.org>
-Build-Depends: debhelper (>= 9), po-debconf
+Build-Depends: debhelper-compat (= 12), po-debconf
+Rules-Requires-Root: no
 Standards-Version: 3.9.6
-Vcs-Git: git://anonscm.debian.org/collab-maint/publicfile-installer.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/publicfile-installer.git
+Vcs-Git: https://salsa.debian.org/debian/publicfile-installer.git
+Vcs-Browser: https://salsa.debian.org/debian/publicfile-installer
 
 Package: publicfile-installer
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_install:
	$(MAKE) prefix=/usr mandir=/usr/share/man DESTDIR=$(CURDIR)/debian/publicfile-installer install

override_dh_clean:
	dh_clean
	debconf-updatepo

## publicfile-installer 0.15build1

=== debian/changelog ===
publicfile-installer (0.15build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Sebastien Bacher <seb128@debian.org>  Mon, 08 Dec 2025 12:18:53 +0100
